## org.red5.server.api.service
Interface IServiceCapableConnection

All Superinterfaces:
  AttributeStoreMBean, ConnectionMBean, IAttributeStore, ICastingAttributeStore, IConnection, ICoreObject, IEventDispatcher, IEventHandler, IEventListener

All Known Implementing Classes:
  BaseRTMPTConnection, EdgeRTMPMinaConnection, RTMPConnection, RTMPMinaConnection, RTMPOriginConnection, RTMPTClientConnection, RTMPTConnection

    public interface IServiceCapableConnection

extends IConnection

Connection that has options to invoke and handle remote calls

Nested Class Summary

Nested classes/interfaces inherited from interface org.red5.server.api.IConnection
`IConnection.Encoding`

Field Summary

Fields inherited from interface org.red5.server.api.IConnection
`PERSISTENT, POLLING, TRANSIENT`

Method Summary
`void` `invoke(IServiceCall call)` Invokes service using remoting call object
`void` `invoke(IServiceCall call, int channel)` Invoke service using call and channel
`void` `invoke(String method)` Invoke method by name
`void` `invoke(String method, IPendingServiceCallback callback)` Invoke method by name with callback
`void` `invoke(String method, Object[] params)` Invoke method with parameters
`void` `invoke(String method, Object[] params, IPendingServiceCallback callback)`
`void` `notify(IServiceCall call)`
`void` `notify(IServiceCall call, int channel)`
`void` `notify(String method)`
`void` `notify(String method, Object[] params)`

Methods inherited from interface org.red5.server.api.IConnection
`close, connect, connect, getBasicScopes, getClient, getClientBytesRead, getConnectParams, getDroppedMessages, getEncoding, getHost, getLastPingTime, getPath, getPendingMessages, getReadBytes, getReadMessages, getRemoteAddress, getRemoteAddresses, getRemotePort, getScope, getSessionId, getType, getWrittenBytes, getWrittenMessages, initialize, isConnected, ping`

Methods inherited from interface org.red5.server.api.ICastingAttributeStore
`getBoolAttribute, getByteAttribute, getDoubleAttribute, getIntAttribute, getListAttribute, getLongAttribute, getMapAttribute, getSetAttribute, getShortAttribute, getStringAttribute`

Methods inherited from interface org.red5.server.api.IAttributeStore
`getAttribute, getAttribute, getAttributeNames, getAttributes, hasAttribute, removeAttribute, removeAttributes, setAttribute, setAttributes, setAttributes`

Methods inherited from interface org.red5.server.api.event.IEventDispatcher
`dispatchEvent`

Methods inherited from interface org.red5.server.api.event.IEventHandler
`handleEvent`

Methods inherited from interface org.red5.server.api.event.IEventListener
`notifyEvent`

Method Detail

### invoke

    void invoke(IServiceCall call)

  Invokes service using remoting call object

  Parameters:
    `call` - Service call object

### invoke

    void invoke(IServiceCall call,
                int channel)

  Invoke service using call and channel

  Parameters:
    `call` - Service call
    `channel` - Channel used

### invoke

    void invoke(String method)

  Invoke method by name

  Parameters:
    `method` - Called method name

### invoke

    void invoke(String method,
                IPendingServiceCallback callback)

  Invoke method by name with callback

  Parameters:
    `method` - Called method name
    `callback` - Callback

### invoke

    void invoke(String method,
                Object[] params)

  Invoke method with parameters

  Parameters:
    `method` - Method name
    `params` - Invocation parameters passed to method

### invoke

    void invoke(String method,
                Object[] params,
                IPendingServiceCallback callback)

  Parameters:
    `method` -
    `params` -
    `callback` -

### notify

    void notify(IServiceCall call)

  Parameters:
    `call` -

### notify

    void notify(IServiceCall call,
                int channel)

  Parameters:
    `call` -
    `channel` -

### notify

    void notify(String method)

  Parameters:
    `method` -

### notify

    void notify(String method,
                Object[] params)

  Parameters:
    `method` -
    `params` -

Copyright © 2006-2010 The Red5 Project